Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchTranslation extends AnyRef

  Translate typed Trees that represent pattern matches into the patternmatching IR, defined by TreeMakers.

  Translate typed Trees that represent pattern matches into the patternmatching IR, defined by TreeMakers.

  Definition Classes
    patmat
-  trait MatchTranslator extends PatternMatching.TreeMakers with PatternMatching.TreeMakerWarnings
  Definition Classes
    MatchTranslation
- AbsCodegen
- AlternativesTreeMaker
- BodyTreeMaker
- BoundTree
- Casegen
- CommonCodegen
- CondTreeMaker
- EmptySubstitution
- EqualityTestTreeMaker
- ExtractorCall
- ExtractorCallProd
- ExtractorCallRegular
- ExtractorTreeMaker
- FunTreeMaker
- GuardTreeMaker
- NoNewBinders
- NonNullTestTreeMaker
- PatternBoundToUnderscore
- PreserveSubPatBinders
- ProductExtractorTreeMaker
- SubstOnlyTreeMaker
- Substitution
- SymbolBound
- TranslationStep
- TreeMaker
- TrivialTreeMaker
- TypeTestTreeMaker
- WildcardPattern

c

scala.tools.nsc.transform.patmat.MatchTranslation.MatchTranslator

# ExtractorCall

###
Companion object ExtractorCall

#### abstract class ExtractorCall extends PatternMatching.ExtractorAlignment

Source
  MatchTranslation.scala

Linear Supertypes
PatternMatching.ExtractorAlignment, PatternMatching.ExtractorSubPatternAlignment, AnyRef, Any
Known Subclasses
ExtractorCallProd, ExtractorCallRegular
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExtractorCall
2. ExtractorAlignment
3. ExtractorSubPatternAlignment
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ExtractorCall(fun: Global.Tree, args: List[Global.Tree])

### Abstract Value Members

1.  abstract def treeMakers(binder: Global.Symbol, pos: Global.Position): List[MatchTranslator.TreeMaker]

   Create the TreeMaker that embodies this extractor call

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ExtractorCall toany2stringadd[ExtractorCall] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ExtractorCall, B)
   Implicit
     This member is added by an implicit conversion from ExtractorCall toArrowAssoc[ExtractorCall] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val args: List[Global.Tree]

   Args will be broken down into the concatenation of: `productArity` product patterns (fixed length, corresponding to fields in case class or tuple components in classic unapply, or product selectors in product-based unapply) `elementArity` element patterns (explicit patterns that pick off the prefix of the final sequence-valued component of the unapply, or a repeated case constructor arg) `starArity` star patterns (0 or 1, absorbs the remaining variable-length components)

   Args will be broken down into the concatenation of: `productArity` product patterns (fixed length, corresponding to fields in case class or tuple components in classic unapply, or product selectors in product-based unapply) `elementArity` element patterns (explicit patterns that pick off the prefix of the final sequence-valued component of the unapply, or a repeated case constructor arg) `starArity` star patterns (0 or 1, absorbs the remaining variable-length components)

   Definition Classes
     ExtractorAlignment → ExtractorSubPatternAlignment
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def checkedLength: Option[Int]
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  def elementArity: Int
    Definition Classes
      ExtractorAlignment
11.  def ensuring(cond: (ExtractorCall) => Boolean, msg: => Any): ExtractorCall
    Implicit
      This member is added by an implicit conversion from ExtractorCall toEnsuring[ExtractorCall] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (ExtractorCall) => Boolean): ExtractorCall
    Implicit
      This member is added by an implicit conversion from ExtractorCall toEnsuring[ExtractorCall] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): ExtractorCall
    Implicit
      This member is added by an implicit conversion from ExtractorCall toEnsuring[ExtractorCall] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): ExtractorCall
    Implicit
      This member is added by an implicit conversion from ExtractorCall toEnsuring[ExtractorCall] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def expectedExtractedType: Global.Type
    Definition Classes
      ExtractorAlignment
18.  def expectedLength: Int
    Attributes
      protected
19.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
20.  def firstIndexingBinder: Int
    Attributes
      protected
21.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ExtractorCall toStringFormat[ExtractorCall] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
22.  val fun: Global.Tree
    Definition Classes
      ExtractorAlignment
23.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  lazy val ignoredSubPatBinders: Set[Global.Symbol]
26.  def isBool: Boolean
    Definition Classes
      ExtractorAlignment
27.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
28.  def isSeq: Boolean
    Definition Classes
      ExtractorAlignment
29.  def isSingle: Boolean
    Definition Classes
      ExtractorAlignment
30.  val isStar: Boolean
    Definition Classes
      ExtractorSubPatternAlignment
31.  def lastIndexingBinder: Int
    Attributes
      protected
32.  def lengthGuard(binder: Global.Symbol): Option[Global.Tree]
    Attributes
      protected
33.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  val nonStarArity: Int
    Definition Classes
      ExtractorSubPatternAlignment
35.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  def productArity: Int
    Definition Classes
      ExtractorAlignment
38.  def resultInMonad(extractedBinder: Global.Symbol): Global.Type
    Definition Classes
      ExtractorAlignment
39.  def seqTree(binder: Global.Symbol, forceImmutable: Boolean): Global.Tree
    Attributes
      protected
40.  def starArity: Int
    Definition Classes
      ExtractorSubPatternAlignment
41.  lazy val subBoundTrees: List[BoundTree]
42.  def subPatBinders: collection.immutable.List[Global.Symbol]
43.  def subPatRefs(binder: Global.Symbol): List[Global.Tree]
    Attributes
      protected
44.  def subPatRefsSeq(binder: Global.Symbol): List[Global.Tree]
    Attributes
      protected
45.  def subPatTypes(extractedBinder: Global.Symbol): List[Global.Type]
    Definition Classes
      ExtractorAlignment
46.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
47.  def toString(): String
    Definition Classes
      AnyRef → Any
48.  def totalArity: Int
    Definition Classes
      ExtractorSubPatternAlignment
49.  def tupleSel(binder: Global.Symbol)(i: Int): Global.Tree
    Attributes
      protected
50.  def unapplyFormals: List[Global.Type]
    Definition Classes
      ExtractorAlignment
51.  def unapplySelector: Global.Symbol
    Definition Classes
      ExtractorAlignment
52.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
53.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
54.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (ExtractorCall, B)
   Implicit
     This member is added by an implicit conversion from ExtractorCall toArrowAssoc[ExtractorCall] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from PatternMatching.ExtractorAlignment

### Inherited from PatternMatching.ExtractorSubPatternAlignment

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromExtractorCall to any2stringadd[ExtractorCall]

### Inherited by implicit conversion StringFormat fromExtractorCall to StringFormat[ExtractorCall]

### Inherited by implicit conversion Ensuring fromExtractorCall to Ensuring[ExtractorCall]

### Inherited by implicit conversion ArrowAssoc fromExtractorCall to ArrowAssoc[ExtractorCall]

### Ungrouped